AntiFeatures:
  - NonFreeNet
Categories:
  - Games
License: AGPL-3.0-only
AuthorName: narumi
AuthorEmail: chaldea@narumi.cc
WebSite: https://docs.chaldea.center
SourceCode: https://github.com/chaldea-center/chaldea
IssueTracker: https://github.com/chaldea-center/chaldea/issues
Translation: https://docs.chaldea.center/translation.html#ui-text
Changelog: https://github.com/chaldea-center/chaldea/releases
Donate: https://docs.chaldea.center/donation

AutoName: chaldea

RepoType: git
Repo: https://github.com/chaldea-center/chaldea.git

Builds:
  - versionName: 2.0.0
    versionCode: 900
    commit: cb351fd90a6ff59d73827109de8319c42ecc8385
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.1
    versionCode: 902
    commit: 856b954931766a26abddd5033576d7e337276340
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.3
    versionCode: 904
    commit: 8cb35c8684eee455feaa3ecad8850a5f1bc4c7f5
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.4
    versionCode: 905
    commit: 1bcf6163d75c4070e5e39214be4a1aa6169e0217
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.5
    versionCode: 906
    commit: ee6d4f355e26a744171e52d1c31095cd93a0f395
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.6
    versionCode: 907
    commit: 981761845f1ff34d5708e55341e49bef4c16d924
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.7
    versionCode: 908
    commit: de090149c74b8f4df35c0bcb499b4f37eb8e8fd0
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.8
    versionCode: 909
    commit: 2174a1ac9ba833c17a718ad81923b65d1e44447f
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.9
    versionCode: 910
    commit: 1cbf1f4f9fde8576e088236e86358ddd584b82b1
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.10
    versionCode: 911
    commit: 585373fb6b08305420f53c9fe94ad30244fbbc50
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.0.11
    versionCode: 912
    commit: 8d3471da2f06f7557193ac03aa6cdeecc8de1848
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.0.1
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.0
    versionCode: 913
    commit: 9d519ab9cdec68eb1759962945662f26f7fc6a94
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

  - versionName: 2.1.1
    versionCode: 914
    commit: 7c50a8631b943f77195ca55b674ec2f5bf272b5c
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    srclibs:
      - flutter@3.3.2
    rm:
      - ios
      - linux
      - macos
      - test
      - web
      - windows
    prebuild: JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager
        'cmake;3.10.2.4988404'
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk --flavor fdroid

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.1.1
CurrentVersionCode: 914
